Package org.apache.synapse.commons.throttle.core.impl.ipbase

# Class IPBaseThrottleConfiguration

java.lang.Object
org.apache.synapse.commons.throttle.core.impl.ipbase.IPBaseThrottleConfiguration

All Implemented Interfaces:
  `ThrottleConfiguration`

public class IPBaseThrottleConfiguration extends Object implements ThrottleConfiguration

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPBaseThrottleConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCallerConfiguration(CallerConfiguration configuration)`
  To add a IPBaseCallerConfiguration
  `CallerConfiguration`
  `getCallerConfiguration(String ID)`
  To get a IPBaseCallerConfiguration - if a configuration for given key found ,it returns , other wise , the default configuration will return.
  `String`
  `getConfigurationKeyOfCaller(String callerID)`
  To get key for access configuration
  `int`
  `getType()`
  To get the type of the throttle

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPBaseThrottleConfiguration

    public IPBaseThrottleConfiguration()

- ## Method Details

  - ### getCallerConfiguration

    public CallerConfiguration getCallerConfiguration(String ID)
    To get a IPBaseCallerConfiguration - if a configuration for given key found ,it returns , other wise , the default configuration will return.
    Specified by:
      `getCallerConfiguration` in interface `ThrottleConfiguration`
    Parameters:
      `ID` - - The Remote caller id (IP)
    Returns:
      Returns the corresponding configuration for the caller with given ID

  - ### addCallerConfiguration

    public void addCallerConfiguration(CallerConfiguration configuration)
    To add a IPBaseCallerConfiguration
    Specified by:
      `addCallerConfiguration` in interface `ThrottleConfiguration`
    Parameters:
      `configuration` - The configuration for a caller

  - ### getConfigurationKeyOfCaller

    public String getConfigurationKeyOfCaller(String callerID)
    To get key for access configuration
    Specified by:
      `getConfigurationKeyOfCaller` in interface `ThrottleConfiguration`
    Parameters:
      `callerID` - The remote caller id (ip)
    Returns:
      Object-String representation of corrected epr-key for get configuration

  - ### getType

    public int getType()
    Description copied from interface: `ThrottleConfiguration`
    To get the type of the throttle
    Specified by:
      `getType` in interface `ThrottleConfiguration`
    Returns:
      the type of the throttle